•   欢迎来到21NN网.
  •   请记住本站网址www.21nn.cn

php虚拟机不支持php【php问题】,php

摘要: php虚拟机不支撑php由Facebook打造的HHVM引擎于本日宣告了4.0正式版本。原定于1月28日宣告的4.0版本延期两周后终究来了。HHVM是由Facebook...

php虚拟机不支撑php

由 Facebook 打造的 HHVM 引擎于本日宣告了 4.0 正式版本。原定于1月28日宣告的 4.0 版本延期两周后终究来了。

HHVM 是由 Facebook 打造的 PHP 虚拟机,它经由过程将 PHP 代码动态翻译成原生机器码而大幅进步速率。HHVM 支撑 PHP 和 PHP 方言 Hack 言语。但依据开源中国此前的报导,开辟团队宣告 HHVM v3.30 将是末了一个支撑 PHP 的版本,并从 4.0 起住手支撑 PHP。

如今 4.0 版本已宣告,从宣告公告中我们看到 HHVM 4.0 确切已不再支撑 PHP。

另外,该版本增加了对 .hack 文件的支撑,对 HSL 正则表达式的非实验性支撑,并删除了几个 PHP 相干的行动,如:

● 删除 PHP 数组中存在的行动,但不删除 Hack Arrays 或 Hack Collections

● 删除须要搜检或转变挪用者的函数(或挪用函数的要领),如 compact(), extract(), get_declared_variables(), func_get_args()

● 弃用参考手册

官方还示意,设计在下个版本中删除对 <?php 的支撑,如许带来的重要优点是可提供更清楚的毛病音讯(比方 “HHVM no longer supports PHP code”)。

更多PHP相干学问,请接见ki4网!

以上就是php虚拟机不支撑php的细致内容,更多请关注ki4网别的相干文章!

分享到:

发表评论

评论列表

还没有评论,快来说点什么吧~

公众号二维码

微信公众号